package com.steering.mes.SendRecive;

/**
 * 数据库表YDM_BC_BUTTRESS所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-10-26
 */
@SuppressWarnings("serial")
public class YdmBcButtressEntity implements java.io.Serializable {
	
	private String actCount = "";
	
    public String getActCount() {
		return actCount;
	}

	public void setActCount(String actCount) {
		this.actCount = actCount;
	}

	/**
     * 材料号
     */
    private String matNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo = "";
    /**
     * 仓库代码
     */
    private String storageNo = "";
    /**
     * 库位代码
     */
    private String locationNo = "";
    /**
     * 层号
     */
    private String laryNo = "";
    /**
     * 位置
     */
    private String locNo = "";
    /**
     * 仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     */
    private String storageAttr = "";
    /**
     * 仓库类型描述
     */
    private String storageAttrName = "";
    /**
     * 库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     */
    private String storageTypeNo = "";
    /**
     * 库类别代码描述
     */
    private String storageTypeName = "";
    /**
     * 作业科室代码
     */
    private String managementNo = "";
    /**
     * 作业科室名称
     */
    private String managementName = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 作业部门代码
     */
    private String departmentCode = "";
    /**
     * 作业部门描述
     */
    private String departmentDesc = "";

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 仓库代码
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * 仓库代码
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * 库位代码
     * @return value
     */
    public String getLocationNo() {
        return locationNo;
    }

    /**
     * 库位代码
     * @param locationNo value
     */
    public void setLocationNo(String locationNo) {
        this.locationNo = locationNo;
    }

    /**
     * 层号
     * @return value
     */
    public String getLaryNo() {
        return laryNo;
    }

    /**
     * 层号
     * @param laryNo value
     */
    public void setLaryNo(String laryNo) {
        this.laryNo = laryNo;
    }

    /**
     * 位置
     * @return value
     */
    public String getLocNo() {
        return locNo;
    }

    /**
     * 位置
     * @param locNo value
     */
    public void setLocNo(String locNo) {
        this.locNo = locNo;
    }

    /**
     * 仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     * @return value
     */
    public String getStorageAttr() {
        return storageAttr;
    }

    /**
     * 仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     * @param storageAttr value
     */
    public void setStorageAttr(String storageAttr) {
        this.storageAttr = storageAttr;
    }

    /**
     * 仓库类型描述
     * @return value
     */
    public String getStorageAttrName() {
        return storageAttrName;
    }

    /**
     * 仓库类型描述
     * @param storageAttrName value
     */
    public void setStorageAttrName(String storageAttrName) {
        this.storageAttrName = storageAttrName;
    }

    /**
     * 库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     * @return value
     */
    public String getStorageTypeNo() {
        return storageTypeNo;
    }

    /**
     * 库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     * @param storageTypeNo value
     */
    public void setStorageTypeNo(String storageTypeNo) {
        this.storageTypeNo = storageTypeNo;
    }

    /**
     * 库类别代码描述
     * @return value
     */
    public String getStorageTypeName() {
        return storageTypeName;
    }

    /**
     * 库类别代码描述
     * @param storageTypeName value
     */
    public void setStorageTypeName(String storageTypeName) {
        this.storageTypeName = storageTypeName;
    }

    /**
     * 作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * 作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * 作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * 作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * 作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * 作业部门描述
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * 作业部门描述
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }
}
